Subject: Re: bug#44723: Latest binary tarball & Hurd qcow2 image unavailable (502)

From: Bengt Richter <[email-masked]>
Date: Wed, 18 Nov 2020 21:13:55 +0100

Hi,

On +2020-11-18 18:50:03 +0100, zimoun wrote:
> Hi,
> 
> On Wed, 18 Nov 2020 at 18:46, Ludovic Courtès <[email-masked]> wrote:
> 
> > I guess it’s OK for Guix System ISO images because a fresh one gets
> > built at each evaluation, roughly, but perhaps the Hurd images are not
> > rebuilt frequently enough and the changes that they’re GC’d are higher.
> >
> > I don’t have a good solution for that, we’re consuming storage space too
> > quickly with all these images currently.  :-/
>
Eric Blake from Red Hat is IIUC working on qemu features to share clean parts
of images without duplicating [1] and LWN has an article re his work [2]
(I hope posting this [2] subsriberlink here is Ok with LWN -- I would think so)

Perhaps their incremental chaining technology can help consolidate "all these images" ?

> Does it make sense to only keep the latest?  And GC all the older one
> except the stable one (pinned).
> 
> Cheers,
> simon
> 
> 
> 
[1] https://static.sched.com/hosted_files/kvmforum2020/92/kvmforum_2020_Bitmaps_and_NBD.pdf
[2] https://lwn.net/SubscriberLink/837053/06072931fc4162bf/
    ([2] should be available freely to all as [3] in less than a week)
[3] https://lwn.net/Articles/837053/ 
-- 
Regards,
Bengt Richter